package com.ruoyi.mall.domain.Bo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 会员码开通会员
 */
public class VipCodeBO implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 用户id */
    @NotNull(message = "缺少userId")
    private Long userId;

    /** 会员码 */
    @NotBlank(message = "缺少vipCode")
    private String vipCode;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getVipCode() {
        return vipCode;
    }

    public void setVipCode(String vipCode) {
        this.vipCode = vipCode;
    }
}
